Bug 1399740 (CVE-2016-9633) - CVE-2016-9633 w3m: Memory exhaustion due to repeatedly appending '<table>'
Summary: CVE-2016-9633 w3m: Memory exhaustion due to repeatedly appending '<table>'
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-9633
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1401423 1401424
Blocks: 1399744
TreeView+ depends on / blocked
 
Reported: 2016-11-29 15:53 UTC by Andrej Nemec
Modified: 2019-09-29 14:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-17 07:27:45 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-11-29 15:53:56 UTC
A memory exhaustion will occur in w3m while parsing maliciously crafted input.

Upstream bug:

https://github.com/tats/w3m/issues/23

Upstream fix:

https://github.com/tats/w3m/commit/216722ed7282cec4338b177ea9ffdd39ad1b8c8c

References:

http://seclists.org/oss-sec/2016/q4/488

Comment 1 Huzaifa S. Sidhpurwala 2016-12-05 08:54:36 UTC
Created w3m tracking bugs for this issue:

Affects: fedora-all [bug 1401423]
Affects: epel-7 [bug 1401424]


Note You need to log in before you can comment on or make changes to this bug.